Bug 1232992 - [RFE] Redesign the home page to use more icons, less text
Summary: [RFE] Redesign the home page to use more icons, less text
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: UI-Modernization
TreeView+ depends on / blocked
 
Reported: 2015-06-18 02:00 UTC by Nick Coghlan
Modified: 2018-12-09 06:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-18 05:01:21 UTC


Attachments (Terms of Use)

Description Nick Coghlan 2015-06-18 02:00:15 UTC
The current home page gives pride of place to the disclaimer that bugzilla.redhat.com is an engineering tool, rather than a front line support service. This RFE suggests a possible way to use icons to nudge users seeking support to other services (the Customer Portal for Red Hat subscribers, Fedora's AskBot instance for community users), providing a more guided experience for both newcomers to the site and more occasional users that may not be familiar with all of its capabilities.

The suggested layout is largely inspired by https://bugs.eclipse.org/bugs/

Two icons given pride of place on the page:

  Left side icon: Customer portal logo from https://access.redhat.com/
  Link destination: https://access.redhat.com/
  Icon caption (also a link): "Red Hat Subscriber Support"

  Right side icon: full Fedora logo from https://fedoraproject.org/wiki/Logo
  Link destination: https://ask.fedoraproject.org/
  Icon caption (also a link): "Fedora Community Support"

Second row of icons would be the same as those on the Eclipse tracker, with an additional icon for the reporting options.

A link to the most commonly reported bugs, the quick search box and the meta-help links would appear below the icons as they do on the Eclipse tracker.

If we decided we wanted to keep the current explanatory text, it could go below the meta-help links rather than being given pride of place as it is currently.

Comment 1 Dana Mison 2015-06-18 02:43:55 UTC
Should we also "redirect" JBoss Community people to https://community.jboss.org/welcome in a similar fashion to ask.fp.org ?

Comment 2 Jeff Fearn 🐞 2015-06-18 03:47:07 UTC
Also https://bugzilla.mozilla.org/enter_bug.cgi has nice pics logos

Comment 3 Nick Coghlan 2015-06-18 04:09:58 UTC
Given that Red Hat, Fedora and JBoss are the big three top level project classifications in Bugzilla, I agree a "JBoss Developer Forums" option using the "JBossDeveloper" styling would make sense.

Restructuring the classification and BZ project selection screens may also be worthwhile, but they could be separate RFEs.

Comment 4 Jeff Fearn 🐞 2016-01-13 05:06:31 UTC
The home page has been redone for 5.0 so this will need to be QE'd for that.

Comment 5 Hui Wang 2016-03-21 09:07:06 UTC
Verified the issue.
The result is PASS.
version 5.0.2.rh2

It has the link for Red Hat Subscriber Support, Red Hat Customer Portal and Fedora Community Support. And it add another file bug option and added quick search box.


Note You need to log in before you can comment on or make changes to this bug.